| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Mapping
Mapping.ShadowedMapping

# Class Mapping.ShadowedMapping

Description

  A mapping look-alike that overrides (ie shadows) another parent mapping.

  The class implements most of the usual mapping operations.

syntax

  `protected mapping|ShadowedMapping Mapping.ShadowedMapping.parent` `void Mapping.ShadowedMapping(mapping|ShadowedMapping parent)`